
D4Science Infrastructure - Task #10495

Update nginx configuration on preprod homelibrary webapp: requests with file too big are rejected

Nov 30, 2017 03:02 PM - Costantino Perciante

Status: Closed Start date: Nov 30, 2017

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Pre-Production   

Description

I'm not able to upload a file of 9GB on the home-library-webapp in preprod.

Could you increment the size of the allowed requests? Thanks

History

#1 - Nov 30, 2017 03:05 PM - Roberto Cirillo

from nginx logs I see the following error:

2017/11/30 14:51:01 [error] 630#0: *216751 client intended to send too large body: 9001238203 bytes, client: 1

46.48.87.227, server: workspace-repository-t.pre.d4science.org, request: "POST /home-library-webapp/rest/Uploa

d?name=big_filoski&description=myDataset&parentPath=/Home/costantino.perciante/Workspace/ HTTP/1.1", host: "wo

rkspace-repository-t.pre.d4science.org"

#2 - Nov 30, 2017 03:12 PM - Andrea Dell'Amico

- Status changed from New to Closed

- % Done changed from 0 to 100

Done. The limit is now 50GB as in the production environment.
